On Wed, Nov 12, 2014 at 5:05 AM, Nick Edwards <nick.z.edwards@gmail.com> wrote:
Hello,

Have a problem on one server where SNI does not appear to work,  the
only difference is the very first vhost is non SSL, the SSL is loaded
second - works, then it loads some more http vhosts,  - they work,
then loads some SSL sites of same .domain - they work too, then it
tries to load SSL site of another domain - this fails, apache reports
no errors, but clients including using latest firefox, get wrong cert
error, is there an ordering issue? or did something else break?

Disc: Use latest apache
version of openssl \exceeds minimum required for SNI.

Thanks

It would help to see your Apache httpd version and a sketch of your SSL-related configuration.

--
Born in Roswell... married an alien...
http://emptyhammock.com/